/*
	Blob Manager Demonstration:  Window routines
*/

# include	"BlobDemo.h"
# include	<WindowMgr.h>




/*
	Get a window for a demo module.  Pass the resource number of the
	window.  Set the font to Chicago 12-point, and add the window's
	title to the Windows menu.
*/

GrafPtr GetDemoWind (resNum)
int		resNum;
{
GrafPtr	thePort;

	thePort = (GrafPtr) GetNewWindow (resNum, nil, -1L);
	SetPort (thePort);
	TextFont (0);
	TextSize (0);
	return (thePort);
}


/*
	Generic window handler clobber proc for TransSkel stuff
*/

DoWClobber ()
{
WindowPtr	theWind;

	GetPort ((GrafPtr *) &theWind);
	CloseWindow (theWind);				/* should be DisposeWindow? */
}


/*
	Set window's default blob dragging rects:  limit rect is portRect
	of window's grafPort, slop rect is wide open rectangle.
*/

SetDragRects (thePort)
GrafPtr	thePort;
{
Rect	rSlop;

	SetRect (&rSlop, -30000, -30000, 30000, 30000);
	SetBDragRects (&thePort->portRect, &rSlop);
}SHAR_EOF
exit
/* End of text from uiucdcsb:mod.mac.sources */
