/*
 * Blob Manager Demonstration:  Main module
 *
 * 25 June 1986	Paul DuBois
 */

# include	"TransSkel.h"

# include	"BlobMgr.h"
# include	"BlobDemo.h"


int
main (void)
{
short	i;

	SkelInit ((SkelInitParamsPtr) nil);	/* initialize TransSkel */

	randSeed = TickCount ();

	SetupMenus ();
	
	/*
	 * Initialize the various scenarios.  Any of them may be entirely
	 * disabled by commenting out the initialization line.
	 */

/*
*/
	WolfInit ();
	TohInit ();
	TttInit ();
	StatesInit ();
	PyrInit ();
	PongInit ();
	PegInit ();
	MagicInit ();
	HebInit ();
	HangInit ();
	FggInit ();
	FshInit ();
	FarInit ();
	SwapInit ();
	RadixInit ();
	AnagramInit ();

	AddWindowTitles ();				/* add window names to Windows menu */

	SkelEventLoop ();				/* loop 'til Quit selected */

	DisposeBlobSets ();				/* shut down the Blob Manager */
	CloseAllWindows ();				/* close windows in back-to-front order */
	SkelCleanup ();					/* shut down TransSkel */
}
