# include	"BlobMgr.h"


/* -------------------------------------------------------------------- */
/*							Blob Loop Routines							*/
/*																		*/
/*	These routines loop through the given blob set, calling the given	*/
/*	procedure for every element of the set.								*/
/* -------------------------------------------------------------------- */


pascal void
BlobLoopProc1 (BLoopProcPtr1 p, BlobSetHandle bSet)
{
BlobHandle	b;

	if (bSet != nil)
	{
		for (b = FirstBlob (bSet); b != nil; b = NextBlob (b))
			(*p) (b);
	}
}


pascal void
BlobLoopProc2 (BLoopProcPtr2 p, BlobSetHandle bSet, short partCode)
{
BlobHandle	b;

	if (bSet != nil)
	{
		for (b = FirstBlob (bSet); b != nil; b = NextBlob (b))
			(*p) (b, partCode);
	}
}
