/*
 * Member.c - functions to access members of the Blob structure
 *
 * These were macros up through release 1.06, but release 1.07 was made
 * Pascal-compatible, and C macros don't work very well for Pascal.
 */

# include	"BlobMgr.h"

/*
# define	FirstBlob(bSet)		((**(bSet)).firstBlob)
# define	LastBlob(bSet)		((**(bSet)).lastBlob)
# define	NextBlob(b)			((**(b)).nextBlob)
# define	SetBRefCon(b,val)	((**(b)).bRefCon = (long) (val))
# define	GetBRefCon(b)		((long) (**(b)).bRefCon)
# define	BStatRgn(b)			((**(b)).statRgn)
# define	BDragRgn(b)			((**(b)).dragRgn)
# define	BStatBox(b)			((**BStatRgn(b)).rgnBBox)
# define	BDragBox(b)			((**BDragRgn(b)).rgnBBox)
# define	BGlob(b)			((**(b)).glob)
# define	FirstBMatch(b)		((**((**(b)).matches)).mBlob)
*/


pascal BlobHandle
FirstBlob (BlobSetHandle bSet)
{
	return ((**bSet).firstBlob);
}


pascal BlobHandle
LastBlob (BlobSetHandle bSet)
{
	return ((**bSet).lastBlob);
}


pascal BlobHandle
NextBlob (BlobHandle b)
{
	return ((**b).nextBlob);
}


pascal void
SetBRefCon (BlobHandle b, long val)
{
	(**b).bRefCon = val;
}


pascal long
GetBRefCon (BlobHandle b)
{
	return ((**b).bRefCon);
}


pascal RgnHandle
BStatRgn (BlobHandle b)
{
	return ((**b).statRgn);
}


pascal RgnHandle
BDragRgn (BlobHandle b)
{
	return ((**b).dragRgn);
}


pascal Rect
BStatBox (BlobHandle b)
{
	return ((**BStatRgn (b)).rgnBBox);
}


pascal Rect
BDragBox (BlobHandle b)
{
	return ((**BDragRgn (b)).rgnBBox);
}


pascal BlobHandle
BGlob (BlobHandle b)
{
	return ((**b).glob);
}


pascal BlobHandle
FirstBMatch (BlobHandle b)
{
	return ((**((**b).matches)).mBlob);
}
