# include	"BlobMgr.h"


/*
 * Return copy of the region corresponding to the part code.  The
 * caller is responsible for disposing of the region that is returned.
 */

pascal RgnHandle
BCalcRegion (BlobHandle b, short partCode)
{
RgnHandle	rgn;

	rgn = NewRgn ();
	if (partCode == inDragBlob)				/* drag region only */
		CopyRgn ((**b).dragRgn, rgn);
	else									/* static or static+drag=full region */
	{
		CopyRgn ((**b).statRgn, rgn);
		if (partCode == inFullBlob)
			UnionRgn ((**b).dragRgn, rgn, rgn);
	}
	return (rgn);
}
